

static char *rcsId="@(#) $Id: ACMM:2dFutil/tdffit_main.c,v 5.2 10-Sep-2013 09:12:12+10 tjf $";
static void *use_rcsId = (0 ? (void *)(&use_rcsId) : (void *) &rcsId);


#include <stdlib.h>
#include <stdio.h>
#include "sds.h"
#include "arg.h"
#include "tdfxy.h"
#include "tdfxyfit.h"


#define MA 23.98
#define ME 42.44
#define NP -1.86
#define CH -12.79
#define HF -6.53
#define ZGT 0.0

#ifdef DFUDGE_PROTOTYPES_C
double strtod(char *s, char **ss);
#endif

int main(int argc, char *argv[])

{
   StatusType status = STATUS__OK;
   TdfDistType dist;
   double coeffs[6];
   SdsIdType fid;
   double mjd;
   TdfXyType xypars;
   SdsIdType cal;
   double temp,press,humid,wave;
   char *endptr;

   if (argc != 6)
     {
       printf("Wrong number of arguments\n");
       printf("should be - tdffit file temp press humid wave\n");
       exit(0);
     }

   temp = strtod(argv[2],&endptr);
   press = strtod(argv[3],&endptr);
   humid = strtod(argv[4],&endptr);
   wave = strtod(argv[5],&endptr);

   dist.a = 1.3366713e7;
   dist.b = 1.08945e9;
   dist.c = 6.210e11;
   dist.d = 3.312e14;
   dist.x0 = 0.0;
   dist.y0 = 0.0;

   SdsRead(argv[1],&cal,&status);
   SdsFind(cal,"fieldData",&fid,&status);
   ArgGetd(fid,"configMjd",&mjd,&status);
   
   if (status != STATUS__OK)
     {
       printf("Error reading input file");
     }  
   else
     {

       printf("Model fit for mjd %12.5f temp %8.2f pressure %7.1f\n",
              mjd,temp,press);
       printf("humidity %8.3f wavelength %7.3f \n",humid,wave);

       TdfXyInit(mjd,0.0,temp,press,humid,wave,wave,
                 MA,ME,NP,CH,HF,ZGT,0.0,0.0,
                 dist,&xypars,&status);

       TdfFit(cal,&xypars,&dist,coeffs,&status);

       TdfSetDist(dist,"tdFdistortion.sds",&status);
       TdfSetLin(coeffs,"tdFlinear.sds",&status);
     }
    return 0;
}   

   
