/*
 *+                         t d F t i m e s t a m p 
  
 * Function name:
      tdFtimestamp
  
 * Function:
  	Formats the current time into a string (HH:MM:SS.ss)      
  
 * Description:
  	Uses the standard time routine to format the current time
  	into the supplied string.  Intended for use for time stamping
  	messages.      
  
 * Language:
      C
  
 * Call:
     (char *) = tdFtimestamp (len,buf)
  
 * Parameters:   (">" input, "!" modified, "W" workspace, "<" output)
  	(>) len	(int) Length of buffer
  	(<) cur (char *) buffer.    
  
 * Include files: tdFutil.h
  
 * Return value: Add of buf.
        
  
 * Support: Tony Farrell, AAO
  
 *-
  
 * History:
      22-Nov-1996 - TJF - Original version
  
 */



static char *rcsId="@(#) $Id: ACMM:2dFutil/tdftimestamp.c,v 5.2 10-Sep-2013 09:12:11+10 tjf $";
static void *use_rcsId = (0 ? (void *)(&use_rcsId) : (void *) &rcsId);


#include <drama.h>
 
#include <stdio.h>
#ifdef unix
#    include <sys/types.h>
#    include <sys/time.h>
#endif
#include <time.h>

#ifdef DFUDGE_PROTOTYPES_UNIX
    extern int strftime(char *buf, int bufsize, const char *fmt,
                const struct tm *tm);
#endif
#ifdef DFUDGE_PROTOTYPES_C
   extern time_t time(time_t *);
#endif


 
extern char * tdFtimestamp (int len, char *buf)
{
    time_t t;
    struct tm timeBuffer;

/*
 *  Get the current time.
 */
    t = time(0);
#ifdef VxWorks
    gmtime_r(&t,&timeBuffer);
#else
    timeBuffer = *gmtime(&t);
#endif

    strftime(buf,len,"%T",&timeBuffer);
    return(buf);
}
