/*
 *+                         s i x d F t i m e s t a m p 
  
 * Function name:
      sixdFtimestamp
  
 * Function:
  	Formats the current time into a string (HH:MM:SS.ss)      
  
 * Description:
  	Uses the standard time routine to format the current time
  	into the supplied string.  Intended for use for time stamping
  	messages.      
  
 * Language:
      C
  
 * Call:
     (char *) = SixdfTimestamp (len,buf)
  
 * Parameters:   (">" input, "!" modified, "W" workspace, "<" output)
  	(>) len	(int) Length of buffer
  	(<) cur (char *) buffer.    
  
 * Include files: tdFutil.h
  
 * Return value: Add of buf.
        
  
 * Support: Tony Farrell, AAO
  
 *-

 * "@(#) $Id: ACMM:6dFutil/sixdFtimestamp.c,v 4.3 06-Mar-2013 08:32:34+11 tjf $"
  
 * History:
      22-Nov-1996 - TJF - Original version (tdFtimestamp.c)
      22-Feb-2000 - TJF - Created 6dF version, no VxWorks support required.
                          (really need a library of utilities for both
                          6dF and 2dF to put this type of thing in)
  
 */



static char *rcsId="@(#) $Id: ACMM:6dFutil/sixdFtimestamp.c,v 4.3 06-Mar-2013 08:32:34+11 tjf $";
static void *use_rcsId = (0 ? (void *)(&use_rcsId) : (void *) &rcsId);


#include <drama.h>
 
#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <time.h>

#ifdef DFUDGE_PROTOTYPES_UNIX
    extern int strftime(char *buf, int bufsize, const char *fmt,
                const struct tm *tm);
#endif
#ifdef DFUDGE_PROTOTYPES_C
   extern time_t time(time_t *);
#endif


 
extern char * SixdfTimestamp (int len, char *buf)
{
    time_t t;
    struct tm timeBuffer;

/*
 *  Get the current time.
 */
    t = time(0);
    timeBuffer = *gmtime(&t);

    strftime(buf,len,"%T",&timeBuffer);
    return(buf);
}
