/*+                     C O N F I G V E R S I O N

 *  Module name:
      CONFIGVERSION

 *  Function:
      Version module for 2dF configure

 *  Description:
      This module is compiled into an object of the name
        
           config_VER.o

      where VER is the release version number.  All this module
      does it allow the version number and date to be set from
      the make file.  Other modules reference the variables
      ConfigVersion and ConfigDate to get the version number and version
      date.

 *  Language:
      C

 *  Support: Tony Farrell, AAO

 *-

 * "@(#) $Id: ACMM:aaoConfigure/src/configversion.c,v 12.7 04-Nov-2013 11:28:48+11 tjf $"

 *  History:
      27-Jan-1999 - TJF - Original version
      02-Sep-1999 - KS  - Make sure this compiles even if version number
                          and date are not specified in the make file.
      27-Sep-2000 - KS  - Now uses __DATE__.
      14-May-2003 - CR  - Include version string from aaoConfigureSystem.
 
 */

#include "aaoConfigureSystem.h"
 
#ifndef CONFIG_VER
#define CONFIG_VER "Unknown"
#endif
#ifndef CONFIG_DATE
#define CONFIG_DATE __DATE__
#endif

const char * const ConfigVersion= CONFIG_VER;
const char * const ConfigDate   = CONFIG_DATE;

const char * const ConfigSystemVersion = AAOCONFIGURESYSTEMVERSION;


