
/*+        		t i m e U n i x M j d  

 *  Module name:
	timeUnixMjd
     
 *  Function:
         Provides conversions between unix times and MJD's.

 *  Synopsis:


 *  Description:
        This module has code extracted from the 2dF control task, which handles
        conversions between Unix Time and the MJD's used in astromony.

 *  Language:
      C

 * "@(#) $Id: ACMM:aaoConfigure/src/timeUnixMjd.h,v 12.7 04-Nov-2013 11:28:48+11 tjf $"

 *  Support: Tony Farrell, AAO

 *-

 *  History:
      28-Aug-2008 - TJF - Original version.

 */
#include <string>

namespace timeUnixMjd {

/*
 * Seconds per day.
 */
const double SPD = 60.0*60.0*24.0;
/*
 * The MJD of the the UNIX clock value 0.
 */
const double UNIXSTART= 40587;

const int UNIX_MIN_YEAR=1970;
const int UNIX_MAX_YEAR = 2037;

extern std::string Mjd2Local(double mjd);
extern std::string Mjd2Ut(double mjd);
extern std::string Mjd2Ut_time(double mjd);
extern double S2Mjd(const char *string,  bool local);

extern std::string  LocalTimeDate();
extern std::string UtTimeDate();
extern double Mjd();


}; // namespace timeUnixMjd
