#ifndef _FPCOL_H
#define _FPCOL_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ACMM:ozpozFpcol/ws/include/fpcol.h,v 1.63 07-Oct-2008 11:10:30+10 tjf $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* tfarrell  98/06/00  created
* tfarrell  03/11/00  Allow for inclusion in a C++ file.
* tfarrell  20/09/01  Add fpcolDRAMAErrorToVLTError().
*/

/************************************************************************
 *
 * OzPoz collision detection module header.
 *
 *----------------------------------------------------------------------
 */
#ifdef MAKE_VXWORKS
#include <vxWorks.h>
#endif
#include "db.h"
#include "ccs.h"
#include "err.h"
#include "msg.h"
#include "fpDefines.h"   /* FP Instrument global defines */
#include "fpTypes.h"     /* FP Instrument global type definitions */

#define IN
#define OUT


#ifdef __cplusplus
extern "C" {
#endif
extern vltLOGICAL  fpcolButFib (
                                IN vltDOUBLE butR,
                                IN vltDOUBLE butTheta,
                                IN vltDOUBLE butAlpha,
                                IN vltDOUBLE fibR,
                                IN vltDOUBLE fibTheta,
                                IN vltDOUBLE pivR,
                                IN vltDOUBLE pivTheta,
                                IN vltINT32  tolerance);

extern vltLOGICAL  fpcolButBut (
                                   IN vltDOUBLE butAR,
                                   IN vltDOUBLE butATheta,
                                   IN vltDOUBLE butAAlpha,
                                   IN vltDOUBLE butBR,
                                   IN vltDOUBLE butBTheta,
                                   IN vltDOUBLE butBAlpha,
                                   IN vltINT32  tolerance);

extern vltLOGICAL  fpcolFiducial (
                                   IN vltDOUBLE fibR,
                                   IN vltDOUBLE fibTheta,
                                   IN vltDOUBLE pivR,
                                   IN vltDOUBLE pivTheta,
                                   IN vltDOUBLE markR,
                                   IN vltDOUBLE markTheta,
                                   IN vltINT32  tolerance);

extern vltLOGICAL  fpcolInvPos (
                                   IN vltUINT32  plate,
				   IN vltINT32   fibType,
                                   IN vltDOUBLE  fibR,
                                   IN vltDOUBLE  fibTheta,
                                   IN vltDOUBLE  fibAlpha,
                                   IN vltINT32   tolerance);

extern vltLOGICAL  fpcolFibFib (
                                IN vltDOUBLE  fibAR,
                                IN vltDOUBLE  fibATheta,
                                IN vltDOUBLE  pivAR,
                                IN vltDOUBLE  pivATheta,
                                IN vltDOUBLE  fibBR,
                                IN vltDOUBLE  fibBTheta,
                                IN vltDOUBLE  pivBR,
                                IN vltDOUBLE  pivBTheta,
                                IN vltDOUBLE  tolerance);


extern ccsCOMPL_STAT fpcolDRAMAErrorToVLTError(
					       IN  const vltINT32   dramaError,
					       IN  const char *     location,
					       OUT ccsERROR         *error);


#ifdef __cplusplus
}
#endif

#endif /*!_H*/
