#ifndef _FPCOLMDLCALFIELDS_H_
#define _FPCOLMDLCALFIELDS_H_

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ACMM:ozpozFpcol/ws/include/fpcolMdlCalFields.h,v 1.63 07-Oct-2008 11:10:31+10 tjf $"
*
*
* who       when      what
* --------  --------  ----------------------------------------------
* tfarrell  25/08/02  Add FILENAME_FIELD.
* tfarrell  10/05/02  Change ATMRHM to ATMRHUM.
* tfarrell  06/05/02  Replace WAVELENGTH_FIELD by Giraffe, UVES and FACB specific versions.
*                     Rename telescope model parameters.
* ssmedley  07/09/01  created
*
*/

/************************************************************************
*   NAME
*
*   SYNOPSIS
*
*   DESCRIPTION
*	Module specifying names of fields in FITS binary table, for easy alteration.
*
*   ENVIRONMENT
*
*   CAUTIONS
*
*   EXAMPLES
*
*   SEE ALSO
*
*   BUGS
*
*------------------------------------------------------------------------
*/



#define EXT_NAME		"OzPoz_table"
#define RA_FIELD		"RA"
#define DEC_FIELD		"DEC"
#define TEMP_FIELD		"ATMTEMP"
#define PRESSURE_FIELD		"ATMPRES"
#define HUMIDITY_FIELD		"ATMRHUM"
#define CENTRE_RA_FIELD		"CENRA"
#define CENTRE_DEC_FIELD	"CENDEC"
#define GIRA_WLEN_FIELD	        "GIRAWLEN"
#define UVES_WLEN_FIELD	        "UVESWLEN"
#define FACB_WLEN_FIELD	        "FACBWLEN"
#define PARS_PREFIX		"TELPAR"      /* ie. TELPAR1, TELPAR2 ...  */
#define BUTTON_FIELD		"BUTTON"
#define OBS_DATE_FIELD		"ACTMJD"
#define POSANGLE_FIELD		"POSANGLE"
#define EQUINOX_FIELD		"CENEQNX"
#define PM_RA_FIELD		"PM_RA"		/* proper motion: RA */
#define PM_DEC_FIELD		"PM_DEC"	/* proper motion: DEC */
#define PLATE_FIELD		"PLATE"		/* field plate number */
#define FILENAME_FIELD          "FILENAME"      /* Name of paf file (I think) */

#endif
