#ifndef _FPCOLMDLCALFIT_H_
#define _FPCOLMDLCALFIT_H_

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ACMM:ozpozFpcol/ws/include/fpcolMdlCalFit.h,v 1.63 07-Oct-2008 11:10:30+10 tjf $"
*
*
* who       when      what
* --------  --------  ----------------------------------------------
* ssmedley  07/09/01  created
*
*/

/************************************************************************
*   NAME
*	fitFn -
*	Fit a model, calculating residuals & handling error conditions
*	appropriately.
*
*   SYNOPSIS
*       #include "fpcolMdlCalFit.h"
*
*	int fitFn
*		(int			nArgs,
*		 char			*args[],
*		 FpcalData		*pFpcalData);
*
*
*   DESCRIPTION
*	This library routine fits the specified data to create an
*	astrometric model.
*
*	fitFn() accepts an already created model in <pFpcalData->model> & tries to fit
*	the data in <pFpcalData> using fpcolMdlFit(). If successful, it
*	will output a file (currently residuals.out) with the results of
*	all appropriate residuals calculations. This file can then be
*	input into a Tcl/Tk script (currently residuals.tcl) to (graphically)
*	view the resulting astrometric model.
*
*
*   ENVIRONMENT
*
*   CAUTIONS
*
*   EXAMPLES
*
*   SEE ALSO
*
*   BUGS
*
*------------------------------------------------------------------------
*/



#include "fpcolMdl.h"
#include "fpcolMdlCalLibs.h"

/*
 * call <OzPosFit> with all relevant variables.
 * Note: must have 'create'd model
 *       & 'calc'ulated fibre data.
 */
int fitFn
	(int			nArgs,
	 char			*args[],
	 FpcalData		*pFpcalData);
#endif

