

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: ACMM:ozpozFpcol/ws/src/fpcolMdlCalGetline.c,v 1.63 07-Oct-2008 11:10:26+10 tjf $"
*
*
* who       when      what
* --------  --------  ----------------------------------------------
* ssmedley  07/09/01  created
*
*/

/************************************************************************
*   NAME
*	getline -
*	Utility function to extract a single line from an input stream.
*
*   SYNOPSIS
*       #include "fpcolMdlCalGetline.h"
*
*	int getline (
*		FILE	*pStream,
*		char	*buffer,
*		int	size);
*
*
*   DESCRIPTION
*	Utility function to extract a single line (up until a newline)
*	from an input stream.
*
*   ENVIRONMENT
*
*   CAUTIONS
*
*   EXAMPLES
*
*	char	buffer[128];
*	int n = getline(stdin, buffer, sizeof(buffer));
*
*   SEE ALSO
*
*   BUGS
*
*------------------------------------------------------------------------
*/

#include <stdio.h>	/* getc */

#include "fpcolMdlCalGetline.h"


int getline(FILE *pStream, char *buffer, int size)
{
	int c, i = 0;

	while ((c = getc(pStream)) != (int) '\n')
	{
		if (c == -1)	/* CTRL-D */
			return -1;
		buffer[i++] = (char) c;
		/* have we filled <buffer>? */
		if (i == size-1)
			break;
	}
	buffer[i] = '\0';
	return i;
}
